#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: concurrent-output
version: 1.10.3
id: concurrent-output-1.10.3-GeUkf7CM7gT9TXvBlTeaHG
key: concurrent-output-1.10.3-GeUkf7CM7gT9TXvBlTeaHG
license: BSD2
copyright: 2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer: Joey Hess <id@joeyh.name>
stability: Stable
synopsis: Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.
    .
    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.
    .
    <<https://joeyh.name/code/concurrent-output/demo2.gif>>
category: User Interfaces
author: Joey Hess, Joachim Breitner
exposed: True
indefinite: False
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent
hidden-modules: Utility.Monad Utility.Data Utility.Exception
abi: 63c01e933908c8f5733f557926da5fca
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/concurrent-output-1.10.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/concurrent-output-1.10.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/concurrent-output-1.10.3
hs-libraries: HSconcurrent-output-1.10.3-GeUkf7CM7gT9TXvBlTeaHG
depends:
    base-4.10.1.0 text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj
    async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd
    stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x process-1.6.1.0
    directory-1.3.0.2 transformers-0.5.2.0
    exceptions-0.8.3-LdkvhAEH3VPBvXQLZp0mCT
    ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE
    terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq unix-2.7.2.2
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj=b7726d921cac66adc5c8f9f66f5b25f0
             async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd=987aeec331bd3d9d85b408736a8805c6
             stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x=ad6bbd8e6ded9502ff897b95774cdf26
             process-1.6.1.0=e78440f24fd9cc3300a1da2a92a47757
             directory-1.3.0.2=7b913664ccd770192b307d7c4c6817cc
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             exceptions-0.8.3-LdkvhAEH3VPBvXQLZp0mCT=f624bf973f8eeff6578fe95732b4e11a
             ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE=d9f2a1ce1d226f75ea8fb44a88f58b7b
             terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq=174597e2a271e4c1c922655d8cb9e8c9
             unix-2.7.2.2=3df01ca0d7640dab598065ff1b1cffeb
haddock-interfaces: /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock
haddock-html: /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

